Package org.eclipse.microprofile.openapi.annotations.servers

# Annotation Type Servers

@Target({TYPE,METHOD}) @Retention(RUNTIME) @Inherited public @interface Servers
The Servers annotation is a container for @Server annotations. When used on a method or a type it is treated as if each server annotation were applied individually.

Note: If both `Server` and `Servers` annotation are specified on the same type, the server definitions will be combined.

See Also:
  - Server Object

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Server[]`
`value`
An array of Server objects which is used to provide connectivity information to a target server.

## Element Details

### value

Server[] value
An array of Server objects which is used to provide connectivity information to a target server.

Returns:
  the servers used for this API or endpoint.

Default:
  {}